package LATMOS::Accounts::Web::Model::Accounts;

use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../../LATMOS-Accounts/lib";
use base 'Catalyst::Model';
use LATMOS::Accounts;

=head1 NAME

LATMOS::Accounts::Web::Model::Accounts - Catalyst Model

=head1 DESCRIPTION

Catalyst Model.

=cut

sub new {
    my ($class) = @_;
    bless({}, $class);
}

sub accounts {
    my ($self) = @_;
    LATMOS::Accounts
        ->new(LATMOS::Accounts::Web->config->{config})
}

sub db {
    my ($self) = @_;
    my $base = $self->accounts
        ->default_base;
    $base->{wexported} = 1;
    $base
}

sub sync_access {
    my ($self) = @_;
    $self->accounts
        ->sync_access
}

sub sync {
    my ($self) = @_;
    $self->accounts
        ->default_synchro
}

=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
